/*
 * Copyright (c) 2014-2020 Ansys Inc.
 * All rights reserved.
 */

function EClass(){};
function EPackage(){};
function EAttribute(){};
// Enumeration support added in 3.0.2
function EEnum(){};
function EEnumLiteral(){};

/**
 * @since 3.0.0
 * @stability 1 - Experimental
 */
function ProjectModelPackage(){};
ProjectModelPackage.prototype = new EPackage();
ProjectModelPackage.PJElement = new EClass();
ProjectModelPackage.PJPackage = new EClass();
ProjectModelPackage.PJScope = new EClass();
ProjectModelPackage.MediniProject = new EClass();
ProjectModelPackage.PJExternalDocument = new EClass();
ProjectModelPackage.PJDiagram = new EClass();
ProjectModelPackage.PJProxyModel = new EClass();
ProjectModelPackage.PJProxyProject = new EClass();
ProjectModelPackage.PJResource = new EClass();

/**
 * @since 3.0.0
 * @stability 1 - Experimental
 */
function SysmlPackage(){};
SysmlPackage.prototype = new EPackage();
SysmlPackage.SysMLElement = new EClass();
SysmlPackage.SysMLContainerPackage = new EClass();
SysmlPackage.SysMLBlock = new EClass();
SysmlPackage.SysMLPort = new EClass();
SysmlPackage.SysMLFlowPort = new EClass();
SysmlPackage.SysMLPart = new EClass();
SysmlPackage.SysMLPortUsage = new EClass();
SysmlPackage.SysMLFlowPortUsage = new EClass();
SysmlPackage.SysMLConnector = new EClass();
SysmlPackage.SysMLActivity = new EClass();
SysmlPackage.SysMLStructuredActivity = new EClass();
SysmlPackage.SysMLAction = new EClass();
SysmlPackage.SysMLPin = new EClass();
SysmlPackage.SysMLInitialNode = new EClass();
SysmlPackage.SysMLFinalNode = new EClass();
SysmlPackage.SysMLDecisionMerge = new EClass();
SysmlPackage.SysMLForkJoin = new EClass();
SysmlPackage.SysMLObjectNode = new EClass();
SysmlPackage.SysMLActivityEdge = new EClass();
SysmlPackage.SysMLDependency = new EClass();
SysmlPackage.SysMLAbstraction = new EClass();
SysmlPackage.SysMLFlowSpecification = new EClass();
SysmlPackage.SysMLFlowProperty = new EClass();
SysmlPackage.SysMLActor = new EClass();
SysmlPackage.SysMLFlowDirection = new EEnum();
SysmlPackage.SysMLFlowDirection.inout = new EEnumLiteral();
SysmlPackage.SysMLFlowDirection.in = new EEnumLiteral();
SysmlPackage.SysMLFlowDirection.out = new EEnumLiteral();

/**
 * @since 3.0.0
 * @stability 1 - Experimental
 */
function FTAPackage(){};
FTAPackage.prototype = new EPackage();
FTAPackage.FTAElement = new EClass();
FTAPackage.AbstractEventTree = new EClass();
FTAPackage.Node = new EClass();
FTAPackage.Event = new EClass();
FTAPackage.EventNode = new EClass();
FTAPackage.Gate = new EClass();
FTAPackage.LogicalGate = new EClass();
FTAPackage.VotingGate = new EClass();
FTAPackage.TransferGate = new EClass();
FTAPackage.Connection = new EClass();
FTAPackage.AnalysisModel = new EClass();
FTAPackage.CutSet = new EClass();
FTAPackage.ProbabilityModel = new EClass();
FTAPackage.TimeDependentProbabilityModel = new EClass();
FTAPackage.TimeIndependentProbabilityModel = new EClass();
FTAPackage.ScriptedProbabilityModel = new EClass();
FTAPackage.ExponentialProbabilityModel = new EClass();
FTAPackage.WeibullProbabilityModel = new EClass();
FTAPackage.LogNormalProbabilityModel = new EClass();
FTAPackage.NormalProbabilityModel = new EClass();
FTAPackage.VariableContainer = new EClass();
FTAPackage.Variable = new EClass();
FTAPackage.EventProbabilityParameters = new EClass();
FTAPackage.RiskTimeProbabilityModel = new EClass();
FTAPackage.FTAModel = new EClass();
FTAPackage.AbstractCutSetModel = new EClass();
FTAPackage.EventType = new EEnum();
FTAPackage.EventType.TOP_LEVEL = new EEnumLiteral();
FTAPackage.EventType.INTERMEDIATE = new EEnumLiteral();
FTAPackage.EventType.BASE = new EEnumLiteral();
FTAPackage.EventType.HOUSE = new EEnumLiteral();
FTAPackage.EventType.UNDEVELOPED = new EEnumLiteral();
FTAPackage.EventType.CONDITIONAL = new EEnumLiteral();
FTAPackage.LogicalGateKind = new EEnum();
FTAPackage.LogicalGateKind.AND = new EEnumLiteral();
FTAPackage.LogicalGateKind.OR = new EEnumLiteral();
FTAPackage.LogicalGateKind.XOR = new EEnumLiteral();
FTAPackage.LogicalGateKind.NOT = new EEnumLiteral();
FTAPackage.CycleKind = new EEnum();
FTAPackage.CycleKind.NONE = new EEnumLiteral();
FTAPackage.CycleKind.REPAIRABLE = new EEnumLiteral();
FTAPackage.CycleKind.MONITORED = new EEnumLiteral();
FTAPackage.RiskTimeMode = new EEnum();
FTAPackage.RiskTimeMode.TRIP_TIME = new EEnumLiteral();
FTAPackage.RiskTimeMode.MISSION_TIME = new EEnumLiteral();
FTAPackage.RiskTimeMode.SPECIFIC_TIME = new EEnumLiteral();
FTAPackage.SafetyMechanismProbabilityMode = new EEnum();
FTAPackage.SafetyMechanismProbabilityMode.SPF_DC = new EEnumLiteral();
FTAPackage.SafetyMechanismProbabilityMode.RESIDUAL_FAULT = new EEnumLiteral();
FTAPackage.SafetyMechanismProbabilityMode.LF_DC = new EEnumLiteral();
FTAPackage.SafetyMechanismProbabilityMode.LATENT_FAULT = new EEnumLiteral();

/**
 * @since 3.0.0
 * @stability 1 - Experimental
 */
function SafetyModelPackage(){};
SafetyModelPackage.prototype = new EPackage();
SafetyModelPackage.SafetyInformation = new EClass();
SafetyModelPackage.ASILInformation = new EClass();
SafetyModelPackage.ILSupplier = new EClass();
SafetyModelPackage.MeasureCatalog = new EClass();
SafetyModelPackage.MeasureGroup = new EClass();
SafetyModelPackage.Measure = new EClass();
SafetyModelPackage.SafetyMechanism = new EClass();
SafetyModelPackage.SecurityMechanism = new EClass();
SafetyModelPackage.CauseEffect = new EClass();
SafetyModelPackage.CausalityRelation = new EClass();
SafetyModelPackage.Failable = new EClass();
SafetyModelPackage.IFailureRateData = new EClass();
SafetyModelPackage.IVariable = new EClass();
SafetyModelPackage.IMissionProfile = new EClass();
SafetyModelPackage.FailureCollection = new EClass();
SafetyModelPackage.Failure = new EClass();
SafetyModelPackage.Hazard = new EClass();
SafetyModelPackage.FailureMode = new EClass();
SafetyModelPackage.Malfunction = new EClass();
SafetyModelPackage.Error = new EClass();
SafetyModelPackage.Dependable = new EClass();
SafetyModelPackage.WeaknessCollection = new EClass();
SafetyModelPackage.Weakness = new EClass();
SafetyModelPackage.Limitation = new EClass();
SafetyModelPackage.TriggerCollection = new EClass();
SafetyModelPackage.Trigger = new EClass();
SafetyModelPackage.TriggeringCondition = new EClass();
SafetyModelPackage.ASILClass = new EEnum();
SafetyModelPackage.ASILClass.NONE = new EEnumLiteral();
SafetyModelPackage.ASILClass.QM = new EEnumLiteral();
SafetyModelPackage.ASILClass.A = new EEnumLiteral();
SafetyModelPackage.ASILClass.B = new EEnumLiteral();
SafetyModelPackage.ASILClass.C = new EEnumLiteral();
SafetyModelPackage.ASILClass.D = new EEnumLiteral();
SafetyModelPackage.DCCoverage = new EEnum();
SafetyModelPackage.DCCoverage.NONE = new EEnumLiteral();
SafetyModelPackage.DCCoverage.LOW = new EEnumLiteral();
SafetyModelPackage.DCCoverage.MEDIUM = new EEnumLiteral();
SafetyModelPackage.DCCoverage.HIGH = new EEnumLiteral();
SafetyModelPackage.FailureRateMode = new EEnum();
SafetyModelPackage.FailureRateMode.USER_DEFINED = new EEnumLiteral();
SafetyModelPackage.FailureRateMode.FROM_CATALOG = new EEnumLiteral();
SafetyModelPackage.FailureRateMode.FROM_FAILURE_MODES = new EEnumLiteral();
SafetyModelPackage.FailureRateMode.FROM_PARENT = new EEnumLiteral();
SafetyModelPackage.FailureCategory = new EEnum();
SafetyModelPackage.FailureCategory.NoPart = new EEnumLiteral();
SafetyModelPackage.FailureCategory.NoEffect = new EEnumLiteral();
SafetyModelPackage.FailureCategory.SafeDetected = new EEnumLiteral();
SafetyModelPackage.FailureCategory.SafeUndetected = new EEnumLiteral();
SafetyModelPackage.FailureCategory.DangerousDetected = new EEnumLiteral();
SafetyModelPackage.FailureCategory.DangerousUndetected = new EEnumLiteral();
SafetyModelPackage.FailureRateKind = new EEnum();
SafetyModelPackage.FailureRateKind.CUSTOM = new EEnumLiteral();
SafetyModelPackage.FailureRateKind.DERIVED = new EEnumLiteral();
SafetyModelPackage.FailureType = new EEnum();
SafetyModelPackage.FailureType.PERMANENT = new EEnumLiteral();
SafetyModelPackage.FailureType.TRANSIENT = new EEnumLiteral();
SafetyModelPackage.MeasureGroupKind = new EEnum();
SafetyModelPackage.MeasureGroupKind.DFMEA = new EEnumLiteral();
SafetyModelPackage.MeasureGroupKind.FMEAMSR = new EEnumLiteral();

/**
 * @since 20.1.0
 * @stability 1 - Experimental
 */
function SecurityModelPackage(){};
SecurityModelPackage.prototype = new EPackage();
SecurityModelPackage.Vulnerability = new EClass();
SecurityModelPackage.Threat = new EClass();
SecurityModelPackage.Attack = new EClass();
SecurityModelPackage.ALSupplier = new EClass();

/**
 * @since 20.1.0
 * @stability 1 - Experimental
 */
function CyberSecurityPackage(){};
CyberSecurityPackage.prototype = new EPackage();
CyberSecurityPackage.SecurityAttribute = new EClass();
CyberSecurityPackage.SecurityTerm = new EClass();
CyberSecurityPackage.ComponentType = new EClass();
CyberSecurityPackage.ThreatCategory = new EClass();
CyberSecurityPackage.AttributeMapping = new EClass();
CyberSecurityPackage.TypeMapping = new EClass();
CyberSecurityPackage.SecurityConfiguration = new EClass();
CyberSecurityPackage.StakeholderObjective = new EClass();
CyberSecurityPackage.Mapping = new EClass();

/**
 * @since 3.0.0
 * @stability 1 - Experimental
 */
function SafetyGoalsPackage(){};
SafetyGoalsPackage.prototype = new EPackage();
SafetyGoalsPackage.SafetyRequirementsModel = new EClass();
SafetyGoalsPackage.SafetyGoal = new EClass();
SafetyGoalsPackage.SafetyRequirement = new EClass();
SafetyGoalsPackage.SafetyReqRelation = new EClass();
SafetyGoalsPackage.SafeyReqState = new EEnum();
SafetyGoalsPackage.SafeyReqState.PROPOSED = new EEnumLiteral();
SafetyGoalsPackage.SafeyReqState.ASSUMED = new EEnumLiteral();
SafetyGoalsPackage.SafeyReqState.AGREED = new EEnumLiteral();
SafetyGoalsPackage.SafeyReqState.REVIEWED = new EEnumLiteral();
SafetyGoalsPackage.SafeyReqState.REJECTED = new EEnumLiteral();
SafetyGoalsPackage.SafetyReqKind = new EEnum();
SafetyGoalsPackage.SafetyReqKind.UNSPECIFIED = new EEnumLiteral();
SafetyGoalsPackage.SafetyReqKind.TECHNICAL = new EEnumLiteral();
SafetyGoalsPackage.SafetyReqKind.HARDWARE = new EEnumLiteral();
SafetyGoalsPackage.SafetyReqKind.SOFTWARE = new EEnumLiteral();
SafetyGoalsPackage.SafetyReqKind.FUNCTIONAL = new EEnumLiteral();
SafetyGoalsPackage.SafetyReqKind.NON_FUNCTIONAL = new EEnumLiteral();
SafetyGoalsPackage.SafetyReqRelationKind = new EEnum();
SafetyGoalsPackage.SafetyReqRelationKind.UNSPECIFIED = new EEnumLiteral();
SafetyGoalsPackage.SafetyReqRelationKind.DECOMPOSITION = new EEnumLiteral();
SafetyGoalsPackage.SafetyReqRelationKind.INDEPENDENCY = new EEnumLiteral();
SafetyGoalsPackage.ASILClass = new EEnum();
SafetyGoalsPackage.ASILClass.QM = new EEnumLiteral();
SafetyGoalsPackage.ASILClass.A = new EEnumLiteral();
SafetyGoalsPackage.ASILClass.B = new EEnumLiteral();
SafetyGoalsPackage.ASILClass.C = new EEnumLiteral();
SafetyGoalsPackage.ASILClass.D = new EEnumLiteral();

/**
 * @since 3.0.0
 * @stability 1 - Experimental
 */
function HazardAnalysisPackage(){};
HazardAnalysisPackage.prototype = new EPackage();
HazardAnalysisPackage.HazardElement = new EClass();
HazardAnalysisPackage.HazardAnalysisModel = new EClass();
HazardAnalysisPackage.HazardousEvent = new EClass();
HazardAnalysisPackage.PlainItem = new EClass();
HazardAnalysisPackage.OperationalSituation = new EClass();

/**
 * @since 3.0.1
 * @stability 1 - Experimental
 */
function FMEAPackage(){};
FMEAPackage.prototype = new EPackage();
FMEAPackage.FMEAElement = new EClass();
FMEAPackage.FMEAWorksheet = new EClass();
FMEAPackage.ProxyEntry = new EClass();
FMEAPackage.ComponentEntry = new EClass();
FMEAPackage.Component = new EClass();
FMEAPackage.FailureEntry = new EClass();
FMEAPackage.PlainFailureMode = new EClass();
FMEAPackage.EffectEntry = new EClass();
FMEAPackage.FailureEffect = new EClass();
FMEAPackage.CauseEntry = new EClass();
FMEAPackage.FailureCause = new EClass();
FMEAPackage.MeasureEntry = new EClass();
FMEAPackage.CurrentDesignControl = new EClass();
FMEAPackage.RecommendedAction = new EClass();
FMEAPackage.TakenAction = new EClass();
FMEAPackage.RiskClassification = new EClass();
FMEAPackage.RiskRanking = new EClass();
FMEAPackage.RiskRankings = new EClass();
FMEAPackage.SystemKind = new EEnum();
FMEAPackage.SystemKind.SYSTEM = new EEnumLiteral();
FMEAPackage.SystemKind.SUB_SYSTEM = new EEnumLiteral();
FMEAPackage.SystemKind.COMPONENT = new EEnumLiteral();
FMEAPackage.SystemKind.FUNCTION_GROUP = new EEnumLiteral();
FMEAPackage.SystemKind.FUNCTION = new EEnumLiteral();
FMEAPackage.SystemKind.PROCESS = new EEnumLiteral();
FMEAPackage.SeverityClass = new EEnum();
FMEAPackage.SeverityClass.SAFETY_LEGAL = new EEnumLiteral();
FMEAPackage.SeverityClass.WARRANTY = new EEnumLiteral();
FMEAPackage.SeverityClass.NONE = new EEnumLiteral();
FMEAPackage.RiskLevel = new EEnum();
FMEAPackage.RiskLevel.HIGH = new EEnumLiteral();
FMEAPackage.RiskLevel.MEDIUM = new EEnumLiteral();
FMEAPackage.RiskLevel.LOW = new EEnumLiteral();

/**
 * @since 3.0.1
 * @stability 1 - Experimental
 */
function DcPackage(){};
DcPackage.prototype = new EPackage();
DcPackage.DCWorksheet = new EClass();
DcPackage.DCComponentEntry = new EClass();
DcPackage.DCFailureModeEntry = new EClass();

/**
 * @since 3.1.0
 * @stability 1 - Experimental
 */
function ChecklistPackage(){};
ChecklistPackage.prototype = new EPackage();
ChecklistPackage.Checklist = new EClass();
ChecklistPackage.ChecklistItem = new EClass();
ChecklistPackage.StaticChecklistItem = new EClass();
ChecklistPackage.DynamicChecklistItem = new EClass();
ChecklistPackage.Precondition = new EClass();

/**
 * @since 3.1.0
 * @stability 1 - Experimental
 */
function TraceModelPackage(){};
TraceModelPackage.prototype = new EPackage();
TraceModelPackage.Trace = new EClass();
TraceModelPackage.TraceProperty = new EClass();
TraceModelPackage.TraceSet = new EClass();
TraceModelPackage.ProxyTrace = new EClass();

/**
 * @since 3.2.0
 * @stability 1 - Experimental
 */
function ConfigurationPackage(){};
ConfigurationPackage.prototype = new EPackage();
ConfigurationPackage.SimulinkProperty = new EClass();
ConfigurationPackage.StringProperty = new EClass();
ConfigurationPackage.SimulinkPropertyList = new EClass();
ConfigurationPackage.FloatProperty = new EClass();
ConfigurationPackage.IntegerProperty = new EClass();
ConfigurationPackage.BoolProperty = new EClass();
ConfigurationPackage.MatrixProperty = new EClass();
ConfigurationPackage.PropertyContainer = new EClass();
ConfigurationPackage.ConfigSet = new EClass();
ConfigurationPackage.Array = new EClass();
ConfigurationPackage.CellArray = new EClass();
ConfigurationPackage.AbstractDependentPropertyContainer = new EClass();
ConfigurationPackage.NameProperty = new EClass();
ConfigurationPackage.ObjectProperty = new EClass();
ConfigurationPackage.StateFlowPropertyList = new EClass();
ConfigurationPackage.PrimitiveProperty = new EClass();
ConfigurationPackage.SimulinkBool = new EEnum();
ConfigurationPackage.SimulinkBool.off = new EEnumLiteral();
ConfigurationPackage.SimulinkBool.on = new EEnumLiteral();

/**
 * @since 3.2.0
 * @stability 1 - Experimental
 */
function StructurePackage(){};
StructurePackage.prototype = new EPackage();
StructurePackage.SimulinkSystem = new EClass();
StructurePackage.SimulinkBlock = new EClass();
StructurePackage.SimulinkNamedElement = new EClass();
StructurePackage.SimulinkSubSystem = new EClass();
StructurePackage.SimulinkPort = new EClass();
StructurePackage.SimulinkInport = new EClass();
StructurePackage.SimulinkOutport = new EClass();
StructurePackage.SimulinkLine = new EClass();
StructurePackage.SimulinkBlockContainer = new EClass();
StructurePackage.SimulinkEnablePort = new EClass();
StructurePackage.SimulinkTriggerPort = new EClass();
StructurePackage.SimulinkActionPort = new EClass();
StructurePackage.SimulinkStatePort = new EClass();
StructurePackage.SimulinkPortBlock = new EClass();
StructurePackage.SimulinkAnnotation = new EClass();
StructurePackage.SimulinkPMIOPort = new EClass();
StructurePackage.SimulinkDefaults = new EClass();
StructurePackage.SimulinkGraphicalElement = new EClass();
StructurePackage.SimulinkFilterableElement = new EClass();
StructurePackage.SimulinkResetPort = new EClass();

/**
 * @since 3.2.0
 * @stability 1 - Experimental
 */
function StateFlowPackage(){};
StateFlowPackage.prototype = new EPackage();
StateFlowPackage.Machine = new EClass();
StateFlowPackage.State = new EClass();
StateFlowPackage.StateFlowIdNamedElement = new EClass();
StateFlowPackage.Transition = new EClass();
StateFlowPackage.Event = new EClass();
StateFlowPackage.StateFlowModel = new EClass();
StateFlowPackage.Data = new EClass();
StateFlowPackage.Instance = new EClass();
StateFlowPackage.Chart = new EClass();
StateFlowPackage.Target = new EClass();
StateFlowPackage.Junction = new EClass();
StateFlowPackage.StateFlowContainer = new EClass();
StateFlowPackage.TransitionNode = new EClass();
StateFlowPackage.TruthTableChart = new EClass();
StateFlowPackage.TruthTable = new EClass();
StateFlowPackage.Function = new EClass();
StateFlowPackage.Box = new EClass();
StateFlowPackage.ScopedElement = new EClass();
StateFlowPackage.AbstractTruthTable = new EClass();
StateFlowPackage.EMLChart = new EClass();
StateFlowPackage.EMFunction = new EClass();
StateFlowPackage.SuperTransition = new EClass();
StateFlowPackage.StateFlowTypedElement = new EClass();
StateFlowPackage.StateFlowAnnotation = new EClass();
StateFlowPackage.StateFlowGraphicalElement = new EClass();
StateFlowPackage.SimulinkFunction = new EClass();
StateFlowPackage.StateType = new EEnum();
StateFlowPackage.StateType.AND_STATE = new EEnumLiteral();
StateFlowPackage.StateType.OR_STATE = new EEnumLiteral();

/**
 * @since 3.2.0
 * @stability 1 - Experimental
 */
function SimulinkPackage(){};
SimulinkPackage.prototype = new EPackage();
SimulinkPackage.Configuration = new ConfigurationPackage();
SimulinkPackage.Structure = new StructurePackage();
SimulinkPackage.StateFlow = new StateFlowPackage();

/**
 * @since 3.2.0
 * @stability 1 - Experimental
 */
function NotationPackage(){};
NotationPackage.prototype = new EPackage();
NotationPackage.Edge = new EClass();
NotationPackage.Node = new EClass();
NotationPackage.Style = new EClass();
NotationPackage.FillStyle = new EClass();
NotationPackage.LineStyle = new EClass();
NotationPackage.FontStyle = new EClass();
NotationPackage.TitleStyle = new EClass();
NotationPackage.SortingStyle = new EClass();
NotationPackage.DescriptionStyle = new EClass();
NotationPackage.LayoutConstraint = new EClass();
NotationPackage.Size = new EClass();
NotationPackage.Location = new EClass();
NotationPackage.Bounds = new EClass();
NotationPackage.Ratio = new EClass();
NotationPackage.Anchor = new EClass();
NotationPackage.Bendpoints = new EClass();
NotationPackage.IdentityAnchor = new EClass();
NotationPackage.RoutingStyle = new EClass();
NotationPackage.View = new EClass();
NotationPackage.RelativeBendpoints = new EClass();
NotationPackage.Diagram = new EClass();
NotationPackage.Image = new EClass();
NotationPackage.CanonicalStyle = new EClass();
NotationPackage.ShapeStyle = new EClass();
NotationPackage.ConnectorStyle = new EClass();
NotationPackage.PageStyle = new EClass();
NotationPackage.DrawerStyle = new EClass();
NotationPackage.GuideStyle = new EClass();
NotationPackage.Guide = new EClass();
NotationPackage.NodeEntry = new EClass();
NotationPackage.FilteringStyle = new EClass();
NotationPackage.DiagramStyle = new EClass();
NotationPackage.ImageStyle = new EClass();
NotationPackage.ImageBufferStyle = new EClass();
NotationPackage.PropertiesSetStyle = new EClass();
NotationPackage.StringToPropertyValueMapEntry = new EClass();
NotationPackage.PropertyValue = new EClass();
NotationPackage.SingleValueStyle = new EClass();
NotationPackage.ListValueStyle = new EClass();
NotationPackage.NamedStyle = new EClass();
NotationPackage.StringObjectConverter = new EClass();
NotationPackage.DataTypeStyle = new EClass();
NotationPackage.IntValueStyle = new EClass();
NotationPackage.IntListValueStyle = new EClass();
NotationPackage.BooleanValueStyle = new EClass();
NotationPackage.DoubleValueStyle = new EClass();
NotationPackage.DoubleListValueStyle = new EClass();
NotationPackage.StringValueStyle = new EClass();
NotationPackage.StringListValueStyle = new EClass();
NotationPackage.EObjectValueStyle = new EClass();
NotationPackage.EObjectListValueStyle = new EClass();
NotationPackage.ByteArrayValueStyle = new EClass();
NotationPackage.BooleanListValueStyle = new EClass();
NotationPackage.HintedDiagramLinkStyle = new EClass();
NotationPackage.DiagramLinkStyle = new EClass();
NotationPackage.MultiDiagramLinkStyle = new EClass();
NotationPackage.TextStyle = new EClass();
NotationPackage.LineTypeStyle = new EClass();
NotationPackage.ArrowStyle = new EClass();
NotationPackage.Shape = new EClass();
NotationPackage.Compartment = new EClass();
NotationPackage.ListCompartment = new EClass();
NotationPackage.Connector = new EClass();
NotationPackage.StandardDiagram = new EClass();
NotationPackage.DecorationNode = new EClass();
NotationPackage.BasicDecorationNode = new EClass();
NotationPackage.BasicCompartment = new EClass();
NotationPackage.BasicSemanticCompartment = new EClass();
NotationPackage.SemanticListCompartment = new EClass();
NotationPackage.RoundedCornersStyle = new EClass();
NotationPackage.Sorting = new EEnum();
NotationPackage.Sorting.None = new EEnumLiteral();
NotationPackage.Sorting.Manual = new EEnumLiteral();
NotationPackage.Sorting.Automatic = new EEnumLiteral();
NotationPackage.Filtering = new EEnum();
NotationPackage.Filtering.None = new EEnumLiteral();
NotationPackage.Filtering.Manual = new EEnumLiteral();
NotationPackage.Filtering.Automatic = new EEnumLiteral();
NotationPackage.Routing = new EEnum();
NotationPackage.Routing.Manual = new EEnumLiteral();
NotationPackage.Routing.Rectilinear = new EEnumLiteral();
NotationPackage.Routing.Tree = new EEnumLiteral();
NotationPackage.Smoothness = new EEnum();
NotationPackage.Smoothness.None = new EEnumLiteral();
NotationPackage.Smoothness.Normal = new EEnumLiteral();
NotationPackage.Smoothness.Less = new EEnumLiteral();
NotationPackage.Smoothness.More = new EEnumLiteral();
NotationPackage.JumpLinkStatus = new EEnum();
NotationPackage.JumpLinkStatus.None = new EEnumLiteral();
NotationPackage.JumpLinkStatus.All = new EEnumLiteral();
NotationPackage.JumpLinkStatus.Below = new EEnumLiteral();
NotationPackage.JumpLinkStatus.Above = new EEnumLiteral();
NotationPackage.JumpLinkType = new EEnum();
NotationPackage.JumpLinkType.Semicircle = new EEnumLiteral();
NotationPackage.JumpLinkType.Square = new EEnumLiteral();
NotationPackage.JumpLinkType.Chamfered = new EEnumLiteral();
NotationPackage.Alignment = new EEnum();
NotationPackage.Alignment.Left = new EEnumLiteral();
NotationPackage.Alignment.Right = new EEnumLiteral();
NotationPackage.Alignment.Center = new EEnumLiteral();
NotationPackage.Alignment.Top = new EEnumLiteral();
NotationPackage.Alignment.Bottom = new EEnumLiteral();
NotationPackage.SortingDirection = new EEnum();
NotationPackage.SortingDirection.Ascending = new EEnumLiteral();
NotationPackage.SortingDirection.Descending = new EEnumLiteral();
NotationPackage.MeasurementUnit = new EEnum();
NotationPackage.MeasurementUnit.Himetric = new EEnumLiteral();
NotationPackage.MeasurementUnit.Pixel = new EEnumLiteral();
NotationPackage.TextAlignment = new EEnum();
NotationPackage.TextAlignment.Left = new EEnumLiteral();
NotationPackage.TextAlignment.Right = new EEnumLiteral();
NotationPackage.TextAlignment.Center = new EEnumLiteral();
NotationPackage.LineType = new EEnum();
NotationPackage.LineType.Solid = new EEnumLiteral();
NotationPackage.LineType.Dash = new EEnumLiteral();
NotationPackage.LineType.Dot = new EEnumLiteral();
NotationPackage.LineType.DashDot = new EEnumLiteral();
NotationPackage.LineType.DashDotDot = new EEnumLiteral();
NotationPackage.LineType.Double = new EEnumLiteral();
NotationPackage.ArrowType = new EEnum();
NotationPackage.ArrowType.None = new EEnumLiteral();
NotationPackage.ArrowType.OpenArrow = new EEnumLiteral();
NotationPackage.ArrowType.SolidArrow = new EEnumLiteral();
NotationPackage.GradientStyle = new EEnum();
NotationPackage.GradientStyle.Vertical = new EEnumLiteral();
NotationPackage.GradientStyle.Horizontal = new EEnumLiteral();

/**
 * @since 19.1.0
 * @stability 1 - Experimental
 */
function HazopPackage(){};
HazopPackage.prototype = new EPackage();
HazopPackage.HazopAnalysisModel = new EClass();
HazopPackage.Guideword = new EClass();
HazopPackage.HazopEntry = new EClass();
HazopPackage.GuidewordToFailuresMapEntry = new EClass();

/**
 * @since 19.1.0
 * @stability 1 - Experimental
 */
function FailureRateCatalogsPackage(){};
FailureRateCatalogsPackage.prototype = new EPackage();
FailureRateCatalogsPackage.FailureRateCatalog = new EClass();
FailureRateCatalogsPackage.FailureRateData = new EClass();
FailureRateCatalogsPackage.FRVariable = new EClass();
FailureRateCatalogsPackage.MissionProfile = new EClass();
FailureRateCatalogsPackage.WorkingPhase = new EClass();
FailureRateCatalogsPackage.InternalWorkingCycle = new EClass();
FailureRateCatalogsPackage.WorkingPhaseType = new EEnum();
FailureRateCatalogsPackage.WorkingPhaseType.Permanent = new EEnumLiteral();
FailureRateCatalogsPackage.WorkingPhaseType.OnOff = new EEnumLiteral();
FailureRateCatalogsPackage.WorkingPhaseType.Dormant = new EEnumLiteral();
FailureRateCatalogsPackage.WorkingPhaseType.Storage = new EEnumLiteral();
FailureRateCatalogsPackage.SalinePollutionLevel = new EEnum();
FailureRateCatalogsPackage.SalinePollutionLevel.Low = new EEnumLiteral();
FailureRateCatalogsPackage.SalinePollutionLevel.High = new EEnumLiteral();
FailureRateCatalogsPackage.EnvironmentalPollutionLevel = new EEnum();
FailureRateCatalogsPackage.EnvironmentalPollutionLevel.Low = new EEnumLiteral();
FailureRateCatalogsPackage.EnvironmentalPollutionLevel.Moderate = new EEnumLiteral();
FailureRateCatalogsPackage.EnvironmentalPollutionLevel.High = new EEnumLiteral();
FailureRateCatalogsPackage.ApplicationPollutionLevel = new EEnum();
FailureRateCatalogsPackage.ApplicationPollutionLevel.Low = new EEnumLiteral();
FailureRateCatalogsPackage.ApplicationPollutionLevel.Moderate = new EEnumLiteral();
FailureRateCatalogsPackage.ApplicationPollutionLevel.Strong = new EEnumLiteral();
FailureRateCatalogsPackage.ProtectionLevel = new EEnum();
FailureRateCatalogsPackage.ProtectionLevel.Hermetic = new EEnumLiteral();
FailureRateCatalogsPackage.ProtectionLevel.Non_Hermetic = new EEnumLiteral();

/**
 * @since 20.1.0
 * @stability 1 - Experimental
 */
function ThreatAssessmentPackage(){};
ThreatAssessmentPackage.prototype = new EPackage();
ThreatAssessmentPackage.ThreatAssessmentModel = new EClass();
ThreatAssessmentPackage.ThreatEvent = new EClass();
ThreatAssessmentPackage.ImpactClass = new EEnum();
ThreatAssessmentPackage.ImpactClass.UNDEFINED = new EEnumLiteral();
ThreatAssessmentPackage.ImpactClass.NONE = new EEnumLiteral();
ThreatAssessmentPackage.ImpactClass.LOW = new EEnumLiteral();
ThreatAssessmentPackage.ImpactClass.MEDIUM = new EEnumLiteral();
ThreatAssessmentPackage.ImpactClass.HIGH = new EEnumLiteral();
ThreatAssessmentPackage.EquipmentFactor = new EEnum();
ThreatAssessmentPackage.EquipmentFactor.UNDEFINED = new EEnumLiteral();
ThreatAssessmentPackage.EquipmentFactor.STANDARD = new EEnumLiteral();
ThreatAssessmentPackage.EquipmentFactor.SPECIALIZED = new EEnumLiteral();
ThreatAssessmentPackage.EquipmentFactor.BESPOKE = new EEnumLiteral();
ThreatAssessmentPackage.EquipmentFactor.MULTIPLE_BESPOKEN = new EEnumLiteral();
ThreatAssessmentPackage.ExpertiseFactor = new EEnum();
ThreatAssessmentPackage.ExpertiseFactor.UNDEFINED = new EEnumLiteral();
ThreatAssessmentPackage.ExpertiseFactor.LAYMAN = new EEnumLiteral();
ThreatAssessmentPackage.ExpertiseFactor.PROFICIENT = new EEnumLiteral();
ThreatAssessmentPackage.ExpertiseFactor.EXPERT = new EEnumLiteral();
ThreatAssessmentPackage.ExpertiseFactor.MULTIPLE_EXPERTS = new EEnumLiteral();
ThreatAssessmentPackage.TOEKnowledgeFactor = new EEnum();
ThreatAssessmentPackage.TOEKnowledgeFactor.UNDEFINED = new EEnumLiteral();
ThreatAssessmentPackage.TOEKnowledgeFactor.PUBLIC = new EEnumLiteral();
ThreatAssessmentPackage.TOEKnowledgeFactor.RESTRICTED = new EEnumLiteral();
ThreatAssessmentPackage.TOEKnowledgeFactor.SENSITIVE = new EEnumLiteral();
ThreatAssessmentPackage.TOEKnowledgeFactor.CRITICAL = new EEnumLiteral();
ThreatAssessmentPackage.WindowOfOpportunityFactor = new EEnum();
ThreatAssessmentPackage.WindowOfOpportunityFactor.UNDEFINED = new EEnumLiteral();
ThreatAssessmentPackage.WindowOfOpportunityFactor.UNLIMITED = new EEnumLiteral();
ThreatAssessmentPackage.WindowOfOpportunityFactor.LARGE = new EEnumLiteral();
ThreatAssessmentPackage.WindowOfOpportunityFactor.MEDIUM = new EEnumLiteral();
ThreatAssessmentPackage.WindowOfOpportunityFactor.SMALL = new EEnumLiteral();
ThreatAssessmentPackage.SecurityLevel = new EEnum();
ThreatAssessmentPackage.SecurityLevel.UNDEFINED = new EEnumLiteral();
ThreatAssessmentPackage.SecurityLevel.NONE = new EEnumLiteral();
ThreatAssessmentPackage.SecurityLevel.QM = new EEnumLiteral();
ThreatAssessmentPackage.SecurityLevel.LOW = new EEnumLiteral();
ThreatAssessmentPackage.SecurityLevel.MEDIUM = new EEnumLiteral();
ThreatAssessmentPackage.SecurityLevel.HIGH = new EEnumLiteral();
ThreatAssessmentPackage.SecurityLevel.CRITICAL = new EEnumLiteral();
ThreatAssessmentPackage.LikelihoodLevel = new EEnum();
ThreatAssessmentPackage.LikelihoodLevel.UNDEFINED = new EEnumLiteral();
ThreatAssessmentPackage.LikelihoodLevel.NONE = new EEnumLiteral();
ThreatAssessmentPackage.LikelihoodLevel.LOW = new EEnumLiteral();
ThreatAssessmentPackage.LikelihoodLevel.MEDIUM = new EEnumLiteral();
ThreatAssessmentPackage.LikelihoodLevel.HIGH = new EEnumLiteral();
ThreatAssessmentPackage.LikelihoodLevel.CRITICAL = new EEnumLiteral();
ThreatAssessmentPackage.SeverityLevel = new EEnum();
ThreatAssessmentPackage.SeverityLevel.UNDEFINED = new EEnumLiteral();
ThreatAssessmentPackage.SeverityLevel.NONE = new EEnumLiteral();
ThreatAssessmentPackage.SeverityLevel.LOW = new EEnumLiteral();
ThreatAssessmentPackage.SeverityLevel.MEDIUM = new EEnumLiteral();
ThreatAssessmentPackage.SeverityLevel.HIGH = new EEnumLiteral();
ThreatAssessmentPackage.SeverityLevel.CRITICAL = new EEnumLiteral();
ThreatAssessmentPackage.TreatmentOption = new EEnum();
ThreatAssessmentPackage.TreatmentOption.AVOIDANCE = new EEnumLiteral();
ThreatAssessmentPackage.TreatmentOption.MITIGATION = new EEnumLiteral();
ThreatAssessmentPackage.TreatmentOption.ACCEPTANCE = new EEnumLiteral();
ThreatAssessmentPackage.TreatmentOption.TRANSFER = new EEnumLiteral();

/**
 * @since 20.1.0
 * @stability 1 - Experimental
 */
function AttackTreePackage(){};
AttackTreePackage.prototype = new EPackage();
AttackTreePackage.AttackTree = new EClass();
AttackTreePackage.AttackPathModel = new EClass();

/**
 * @since 3.0.1
 * @stability 1 - Experimental
 */
function Metamodel(){};
Metamodel.prototype = new Object();
Metamodel.projectmodel = new ProjectModelPackage();
Metamodel.sysml = new SysMLPackage();
Metamodel.FTA = new FTAPackage();
Metamodel.safetyModel = new SafetyModelPackage();
Metamodel.security = new SecurityModelPackage();
Metamodel.cybersecurity = new CyberSecurityPackage();
Metamodel.safetygoals = new SafetyGoalsPackage();
Metamodel.hazard = new HazardAnalysisPackage();
Metamodel.FMEA = new FMEAPackage();
Metamodel.dc = new DCPackage();
Metamodel.checklist = new ChecklistPackage();
Metamodel.traceability = new TraceModelPackage();
Metamodel.Simulink = new SimulinkPackage();
Metamodel.notation = new NotationPackage();
Metamodel.hazop = new HazopPackage();
Metamodel.failureratecatalogs = new FailureratecatalogsPackage();
Metamodel.tara = new ThreatAssessmentPackage();
Metamodel.attacktree = new AttackTreePackage();
